Subject: Re: [PATCH 1/2] apply, entry: speak of submodules instead of subprojects

From: Thomas Rast <[email-masked]>
Date: Tue, 16 Jul 2013 22:07:55 +0200

Jens Lehmann <[email-masked]> writes:

> Am 16.07.2013 20:07, schrieb Jonathan Nieder:
>> Thomas Rast wrote:
>> 
>>> There are only four (with some generous rounding) instances in the
>>> current source code where we speak of "subproject" instead of
>>> "submodule".  They are as follows:
>> [...]
>>> Let's at least change the error messages to consistently call them
>>> "submodule".
>>>
>>> Signed-off-by: Thomas Rast <[email-masked]>
>>> ---
>>> This and the next one are message changes for things I found during my
>>> review.
>> 
>> Thanks.  It's nice when translation results in the messages in English
>> being improved, too.
>
> Obviously I like this change too. ;-)
>
> But a 'git grep "corrupt patch for sub"' shows some files in the po
> directory still containing that string on current master. Shouldn't
> they be changed too or is this just a sign of me not understanding
> the translation process?

I haven't checked any guides, but I imagine that the resulting manual
translation update is what prompts the translators to also check if they
need to adapt the message.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch